summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlbert Cheng <acheng@hdfgroup.org>1999-11-04 06:54:44 (GMT)
committerAlbert Cheng <acheng@hdfgroup.org>1999-11-04 06:54:44 (GMT)
commitfebbb4c50d9ebc5056364caa0c0a7a1933d52767 (patch)
treec8adb589be8b68cc8dbdf94833a6ebc332e1d4a7 /bin
parent8052e4729492f5a264cd533291c382ede61f71ff (diff)
downloadhdf5-febbb4c50d9ebc5056364caa0c0a7a1933d52767.zip
hdf5-febbb4c50d9ebc5056364caa0c0a7a1933d52767.tar.gz
hdf5-febbb4c50d9ebc5056364caa0c0a7a1933d52767.tar.bz2
[svn-r1826] Got rid of old commented out commands.
Added uname to show host information automatically.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/snapshot15
1 files changed, 5 insertions, 10 deletions
diff --git a/bin/snapshot b/bin/snapshot
index d2f9b4a..f1ef5d7 100755
--- a/bin/snapshot
+++ b/bin/snapshot
@@ -1,6 +1,7 @@
#!/bin/sh
set -x
date
+uname -a
#
# This script should be run nightly from cron. It checks out hdf5
# from the CVS source tree and compares it against the previous
@@ -113,10 +114,6 @@ CONFIGURE="./configure $HDF4LIB"
# Execute the requests
snapshot=yes
-# Show all settings right before execution.
-# set
-# exit 0
-
COMPARE=${HOME}/hdf5-snapshots
#=============================
@@ -159,7 +156,9 @@ if [ "$cmd" = "all" -o -n "$cmdtest" ]; then
make _test); then
:
else
+ errcode=$?
snapshot=no
+ exit $errcode
fi
fi
fi # Test the HDF5 library
@@ -176,16 +175,12 @@ if [ "$cmd" = "all" -o -n "$cmdrel" ]; then
# cvs commit if errors encounter here.
set -e
cd ${COMPARE}/current
-# "perl -w ..." doesn't appear to be working on baldric..
-# cvs -Q tag hdf5-`perl -w bin/h5vers |tr . _`
-# cvs -Q tag hdf5-`perl bin/h5vers |tr . _`
bin/release -d $ARCHIVES $METHODS
-# RELEASE_VERSION="`perl -w bin/h5vers -v`"
RELEASE_VERSION="`perl bin/h5vers -v`"
-# perl -w bin/h5vers -i
perl bin/h5vers -i
cvs -Q commit -m "Snapshot $RELEASE_VERSION"
)
+ errcode=$?
fi
# Replace the previous version with the current version.
@@ -193,4 +188,4 @@ if [ "$cmd" = "all" -o -n "$cmdrel" ]; then
mv ${COMPARE}/current ${COMPARE}/previous
fi #Release snapshot
-exit 0
+exit $errcode